#include <stdio.h>
#include <math.h>

unsigned concatenate(unsigned x, unsigned y) {
    unsigned pow = 10;
    while(y >= pow)
        pow *= 10;
    return x * pow + y;        
}

int main()
{
    int a,b,c;
    int d1,d2,d3,d4,d5,d6;
    int e1,e2,e3,e4,e5,e6;
    int max;
    scanf("%d%d%d",&a,&b,&c);
    d1=concatenate(a,b);
    e1=concatenate(d1,c);
    d2=concatenate(a,c);
    e2=concatenate(d2,b);
    d3=concatenate(b,a);
    e3=concatenate(d3,c);
    d4=concatenate(b,c);
    e4=concatenate(d4,a);
    d5=concatenate(c,a);
    e5=concatenate(d5,b);
    d6=concatenate(c,b);
    e6=concatenate(d6,a);
    max=e1;
    if(max<e2)
    max=e2;
    if(max<e3)
    max=e3;
    if(max<e4)
    max=e4;
    if(max<e5)
    max=e5;
    if(max<e6)
    max=e6;
    printf("%d",max);
    
}